src_dir=`pwd`
bin_dir=$(src_dir)/bin

.PHONY: all clean

all: pncc

clean: plat_clean mss_clean

# norfolk_rel: plat_all norfolk

# cook_rel: plat_all cook

# zed_rel: plat_all zed

# pncc_rel: plat_all pncc

plat_clean:
	$(MAKE) -C plat clean

mss_clean:
	$(MAKE) -C mss clean

pncc: plat_all
	if [ ! -d $(bin_dir) ]; then mkdir $(bin_dir); fi
	$(MAKE) -C mss pncc

norfolk: plat_all
	if [ ! -d $(bin_dir) ]; then mkdir $(bin_dir); fi
	$(MAKE) -C mss norfolk

cook: plat_all
	if [ ! -d $(bin_dir) ]; then mkdir $(bin_dir); fi
	$(MAKE) -C mss cook

zed: plat_all
	if [ ! -d $(bin_dir) ]; then mkdir $(bin_dir); fi
	$(MAKE) -C mss zed

plat_all:
	@echo "====================== make $@ ======================="
	@cd $(src_dir)/plat && $(MAKE) all
	@cd -